#PyCUBRID Distutils Setup

from distutils.core import setup, Extension 
import os

cci_dir = os.environ["CUBRID_CAS"] + "/cci"
if not os.path.exists(cci_dir):
    print "WARNING:",
    print "it seems that you did not install CUBRID."
    print "You must install CUBRID."
    print
else:
    setup(
        name = "pycubrid", 
        version = "0.5", 
        description="Python module for CUBRID", 
        author = "Kang, Dong-Wan", 
        author_email="dwkang@cubrid.com",
        license="GPL",
        url="http://pycubrid.kldp.net",
        py_modules=["cubriddb"],
        ext_modules=[
            Extension(
                "_cubrid", 
                ["_cubrid.c"],
                include_dirs = [cci_dir],
                library_dirs = [cci_dir],
                libraries = ["cascci"],
            )
        ] 
    )
